Arbeitsbereich Sketcher

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Sketcher Workbench and the translation is 100% complete.
Sketcher Arbeitsbereichssymbol

Einleitung

Der FreeCAD-Arbeitsbereich Workbench Sketcher.svg Sketcher wird verwendet, um 2D-Geometrien für den Gebrauch in den Arbeitsbereichen Workbench PartDesign.svg PartDesign, Workbench Arch.svg Arch und anderen Arbeitsbereichen zu erstellen. Im Allgemeinen wird eine 2D-Zeichnung als Ausgangspunkt für die meisten CAD-Modelle angesehen, da eine 2D-Skizze "extrudiert" werden kann, um eine 3D-Form zu erstellen; weitere 2D-Skizzen können verwendet werden, um andere Merkmale wie Taschen, Stege oder Extrusionen auf den zuvor erstellten 3D-Formen zu erstellen. Zusammen mit booleschen Operationen, definiert im Arbeitsbereich Workbench Part.svg Part, bildet der Sketcher die Grundlage der Konstruktive-Festkörpergeometrie-Methode (engl. constructive solid geometry (CSG) method) für den Aufbau von Volumenkörpern. Darüber hinaus bildet der Sketcher zusammen mit den Abläufen des Arbeitsbereichs Workbench PartDesign.svg PartDesign auch die Grundlage der Methodik der Formelemente-Bearbeitung zum erstellen von Geometrieelementen, um Volumenkörper zu erzeugen.

Der Arbeitsbereich Sketcher bietet Randbedingungen (auch: Ein-/Beschränkungen; engl.: constraints), die es 2D-Formen erlauben/ermöglichen, präzisen geometrischen Vorgaben bezüglich Länge, Winkel und Lage (wie horizontal, vertikal, rechtwinklig, usw.) zu folgen. Ein Löser für geometrische Gleichungen (Constraint-Solver) berechnet die vorgegebene Ausdehnung der 2D-Geometrie und ermöglicht die interaktive Untersuchung von Freiheitsgraden in der Skizze.

FC ConstrainedSketch.png

Eine vollständig bestimmte Skizze‎

Grundlagen des Skizzierens mit Randbedingungen

Um zu erklären, wie der Sketcher arbeitet, ist es sinnvoll, das Vorgehen mit der traditionellen Art des Entwerfens zu vergleichen.

Traditionelle Zeichnungserstellung

Die traditionelle Art des CAD-Zeichnens leitet sich vom Zeichnen am Reißbrett ab. Orthogonale (2D-) Ansichten werden von Hand gezeichnet, um technische Zeichnungen (auch Blaupausen genannt) zu erstellen. Objekte werden genau in der vorgesehenen Größe oder den Abmaßen entsprechend gezeichnet. Soll eine horizontale Linie von 100 mm Länge gezeichnet werden, die bei (0,0) beginnt, aktiviert man das Linienwerkzeug, klickt auf auf den Bildschirm oder gibt die Koordinaten für den ersten Punkt (0,0) ein, klickt ein zweites Mal oder gibt die Koordinaten des zweiten Punktes (100,0) ein. Oder man zeichnet die Linie ohne Rücksicht auf ihre Position und verschiebt sie hinterher. Wenn die Geometrien fertig gezeichnet sind, werden noch Maße hinzugefügt.

Skizzieren mit Randbedingungen

Der Sketcher (Skizzierer) entfernt sich von dieser Logik. Objekte müssen (zuerst) nicht genau so gezeichnet werden, wie man es (letztlich) beabsichtigt, da sie später durch Randbedingungen festgelegt werden. Objekte können grob gezeichnet werden und solange sie nicht festgelegt sind, können sie verändert werden. Sie sind gewissermaßen schwebend und können verschoben, gestreckt, gedreht, skaliert, usw. werden. Das ergibt eine große Flexibilität im Entwurfsprozess.

Was sind Randbedingungen?

Anstelle von Maßen werden Randbedingungen (auch Beschränkungen, Einschränkungen, Zwangsbedingung genannt) verwendet, um die Freiheitsgrade eines Objektes zu reduzieren. Beispielsweise besitzt eine (2D-) Linie ohne Randbedingung 4 Freiheitsgrade (engl.: Degree(s) of freedom, abgekürzt als "DOF"): Sie kann horizontal oder vertikal verschoben, sie kann gestreckt, oder gedreht werden.

Durch Vorgabe einer Ausrichtung, wie horizontal, vertikal oder eines Winkels (relativ zu einer anderen Linie oder zu einer der Achsen), wird ihr die Fähigkeit zu rotieren genommen, sodass 3 Freiheitsgrade übrig bleiben. Das Festsetzen eines der Punkte relativ zum Ursprung entfernt weitere 2 Freiheitsgrade. Und das Festlegen der Länge entfernt den letzten Freiheitsgrad. Die Skizze ist dann vollständig bestimmt.

Mehrere Objekte können relativ zueinander ausgerichtet werden. Zwei Linien können durch je einen ihrer Punkte mit der Bedingung KoinzidentFestlegen (deckungsgleich) verbunden werden. Ein Winkel kann zwischen ihnen festgelegt werden oder sie können rechtwinklig zueinander festgelegt werden. Eine Linie kann tangential zu einem Bogen oder einem Kreis sein, usw. Eine komplexe Skizze mit mehreren Objekten kann auf verschiedene Arten festgelegt werden und wenn man sie vollständig bestimmt, bedeutet dies, dass, basierend auf den verwendeten Randbedingungen, genau eine dieser Möglichkeiten erreicht wurde.

Es gibt zwei Arten von Randbedingungen: geometrische und maßliche. Sie sind im Abschnitt 'Werkzeuge' weiter unten ausführlich beschrieben.

Wofür der Skizzierer nicht geeignet ist

Der Sketcher ist nicht für die Herstellung von (2D-) Zeichnungen (Blaupausen) vorgesehen. Sobald Skizzen verwendet werden, um ein Volumenkörpermerkmal zu erzeugen, werden sie automatisch verborgen. Randbedingungen sind nur im Skizzenbearbeitungsmodus sichtbar.

Falls nur 2D-Ansichten zum Ausdrucken erzeugt werden sollen und keine 3D-Modelle, sollte man einen Blick auf den Arbeitsbereich Draft werfen. Anders als Sketcher-Elemente, verwenden Draft-Objekte keine Randbedingungen; sie sind einfache Formen, die im Augenblick der Erstellung definiert werden. Sowohl Draft als auch Sketcher können zum Zeichnen von 2D-Geometrien und zum Erzeugen von 3D-Volumenkörpern verwendet werden, obwohl ihre bevorzugte Verwendung unterschiedlich ist.Der Sketcher wird normalerweise mit den Arbeitsbereichen Part und PartDesign verwendet um Volumenkörper zu erzeugen. Draft wird normalerweise für einfache ebene Zeichnungen verwendet über einem Raster, so wie beim Zeichnen eines Architektur Grundrisses; in solchen Situationen werden Draft-Objekte hauptsächlich zusammen mit dem Arbeitsbereich Arch verwendet. Das Werkzeug Zeichnung zu Skizze wandelt ein Draft-Objekt in ein Skizzenobjekt und umgekehrt. Viele Werkzeuge, die ein 2D-Element als Eingabe benötigen, arbeiten mit beiden Objekttypen, da intern eine automatische Umwandlung erfolgt.

Arbeitsablauf beim Skizzieren

Eine Skizze ist stets zweidimensional (2D). Um einen Volumenkörper zu erzeugen, wird eine 2D-Skizze eines einzelnen, eingeschlossenen Bereichs erstellt und dann entweder aufgepolstert oder gedreht, um die dritte Dimension hinzuzufügen und so einen 3D-Volumenkörper aus einer 2D-Skizze zu erzeugen.

Wenn eine Skizze Segmente besitzt, die einander überschneiden, sie Stellen enthält an denen ein Punkt nicht direkt auf einem Segment liegt, oder Stellen an denen Lücken zwischen Endpunkten angrenzender Segmente existieren, werden Aufpolstern oder Rotieren keine Festkörper erstellen. Manchmal funktioniert eine Skizze, die sich überschneidende Linien enthält, für eine einfache Operation wie Aufpolstern, jedoch werden spätere Arbeitsgänge wie etwa lineare Muster fehlschlagen. Am besten vermeidet man sich überschneidende Linien. Die Konstruktionsgeometrie (blau) bildet eine Ausnahme von dieser Regel.

Innerhalb des geschlossenen Bereiches können sich kleinere nicht überlappende Bereiche befinden. Diese bleiben leer, wenn der 3D-Volumenkörper erstellt wird.

Sobald eine Skizze vollständig bestimmt ist, wechselt die Farbe der Skizzenelemente auf grün; Konstruktionsgeometrie bleibt blau. Normalerweise ist die Skizze an dieser Stelle "fertig bearbeitet" und für die Erstellung eines 3D-Volumenkörpers geeignet. Nach dem Schließen des Skizzendialogs, kann es aber nützlich sein, zum Arbeitsbereich Workbench Part.svg Part zu wechseln und Part CheckGeometry.svg GeometriePrüfen auszuführen, um sicherzustellen, dass die Skizze keine Elemente enthält, die später zu Problemen führen können.

Werkzeuge

Die Werkzeuge des Arbeitsbereichs Sketcher sind alle im Sketch-Menü zu finden, das beim Laden des Arbeitsbereichs erscheint.

Allgemein

  • Sketcher NewSketch.png Skizze erstellen: Erstellt eine neue Skizze auf einer ausgewählten Fläche oder Ebene. Falls bei der Ausführung dieses Werkzeugs keine Fläche gewählt wurde, wird der Benutzer über ein Dialogfenster zur Auswahl einer Ebene aufgefordert.
  • Sketcher ViewSection.svg Schnitt anzeigen: Erzeugt eine Schnittebene, und verbirgt vorübergehend alles, was sich vor der Skizzierebene befindet.
  • Sketcher MirrorSketch.svg Skizze spiegeln: Spiegelt eine Skizze entlang der X-Achse, der Y-Achse oder dem Ursprung.
  • Sketcher StopOperation.svg Vorgang beenden: Wenn der Bearbeitungsmodus aktiv ist, wird der aktuellen Vorgang beendet, egal ob es sich um das Zeichnen oder das Festlegen von Randbedingungen usw. handelt.

Sketcher-Geometrien

Dies sind Werkzeuge zum Erstellen von Objekten.

  • Sketcher CreateLine.svg Linie erstellen: Zeichnet ein Linienabschnitt zwischen 2 Punkten. Linien werden von bestimmten Randbedingungen als unendlich angesehen.
  • Sketcher CompCreateArc.pngBogen erstellen: Dies ist ein Symbolmenü in der Sketcher-Werkzeugleiste, das die folgenden Befehle enthält:
  • Sketcher CompCreateCircle.pngKreis erstellen: Dies ist ein Symbolmenü in der Sketcher-Werkzeugleiste, das die folgenden Befehle enthält:
  • Sketcher CompCreateBSpline.png B-spline erstellen: Dies ist ein Symbolmenü in der Skizzierer Werkzeugleiste, das die folgenden Befehle enthält:
  • Sketcher CreatePolyline.svg Linienzug erstellen: Zeichnet eine Linie aus mehreren Liniensegmenten. Das Drücken der M-Taste während des Zeichnens eines Linienzuges, wechselt zwischen den verschiedenen Linienzug-Modi.
  • Sketcher CreateSquare.svg Quadrat erstellen: Zeichnet ein Quadrat, das einem Konstruktionsgeometriekreis einbeschrieben ist.
  • Sketcher CreatePentagon.png Fünfeck erstellen: Zeichnet ein regelmäßigen Fünfeck das einem Umkreis einbeschrieben ist.
  • Sketcher CreateHexagon.svg Sechseck erstellen: Zeichnet ein regelmäßiges Sechseck, das einem Umkreis einbeschrieben ist.
  • Sketcher CreateHeptagon.png Siebeneck erstellen: Zeichnet ein regelmäßiges Siebeneck, das einem Umkreis einbeschrieben ist.
  • Sketcher CreateOctagon.png Achteck: Zeichnet ein regelmäßiges Achtecks, das einem Umkreis einbeschrieben ist.
  • Sketcher CreateRegularPolygon.svg Regelmäßiges Vieleck erstellen : Zeichnet ein regelmäßiges Vieleck durch Auswahl der Anzahl der Seiten und Auswahl zweier Punkte: dem Zentrum und einer Ecke.
  • Sketcher CreateSlot.svg Nut erstellen: Zeichnet ein Oval, indem das Zentrum des einen Halbkreises und ein Endpunkt des anderen Halbkreises ausgewählt werden.
  • Sketcher CompCreateFillets.png Verrundungen: Dies ist ein Symbolmenü in der Sketcher-Werkzeugleiste, das die folgenden Befehle enthält:
  • Sketcher Trimming.png Kante zuschneiden: Stutzt eine Gerade, einen Kreis oder Kreisbogen unter Berücksichtigung des angeklickten Punktes.
  • Sketcher Extend.svg Kante verlängern: Verlängert eine Linie oder einen Kreisbogen bis zu einer Grenzlinie, einem Bogen, einer Ellipse, einem Ellipsenbogen oder einem Punkt im Raum.
  • Sketcher CarbonCopy.svg Pause: Paust die Geometrie aus einer anderen Skizze ab.
  • Sketcher ToggleConstruction.svg Umschalten der Hilfsgeometrie: Schaltet die Skizzengeometrie vom/zum Konstruktionsmodus um. Die Konstruktionsgeometrie wird in Blau angezeigt und ist außerhalb des Bearbeitungsmodus nicht sichtbar.

Sketcher-Randbedingungen

Randbedingungen (Festlegungen, Beschränkungen) werden benutzt, um Längen festzulegen, Regeln zwischen Skizzenelementen aufzustellen und die Skizze entlang der vertikalen und horizontalen Achsen festzulegen. Einige Randbedingungen benötigen die Verwendung von Hilfsrandbedingungen.

Besondere Randbedingungen

Diese Randbedingungen sind nicht mit numerischen Daten verknüpft.

  • Sketcher ConstrainCoincident.svg Koinzidenz festlegen (KoinzidentFestlegen): Befestigt einen oder mehrere Punkte (koinzident = deckungsgleich) auf einem anderen Punkt. Diese Randbedingung verhält sich wie eine Randbedingung Konzentrisch festlegen, wenn zwei oder mehr Kreise, Bögen, Ellipsen oder Ellipsenbögen ausgewählt werden.
  • Sketcher ConstrainPointOnObject.svg Punkt auf Objekt festlegen: Befestigt einen Punkt an einem anderen Objekt wie z. B. einer Linie, einem Kreisbogen oder einer Achse.
  • Sketcher ConstrainVertical.svg Vertikal einschränken (VertikalFestlegen): Legt die Ausrichtung der ausgewählten Linien oder Linienzugelemente auf genau vertikal fest. Es kann mehr als ein Objekt ausgewählt werden, bevor diese Randbedingung angewendet wird.
  • Sketcher ConstrainHorizontal.svg Horizontal einschränken (HorizontalFestlegen): Legt die Ausrichtung der ausgewählten Linien oder Linienzugelemente auf genau horizontal fest. Es kann mehr als ein Objekt ausgewählt werden, bevor diese Randbedingung angewendet wird.
  • Sketcher ConstrainPerpendicular.svg Orthogonalität festlegen (RechtwinkligFestlegen): Legt zwei Linien senkrecht aufeinander fest oder eine Linie senkrecht auf einen (Kreisbogen in einem) Bogenendpunkt.
  • Sketcher ConstrainTangent.svg Tangente setzen (TangentialFestlegen): Legt eine Tangentenbedingung zwischen zwei ausgewählten Elementen fest; sind zwei Geradenabschnitte ausgewählt werden sie fluchtend (kollinear) festgelegt. Ein Geradenabschnitt muss nicht direkt an einem Kreis oder Kreisbogen liegen, um tangential zu diesem Kreis oder Kreisbogen festgelegt zu werden.
  • Sketcher ConstrainEqual.svg Gleichheit festlegen: Setzt die Längen zweier ausgewählter Geradenabschnitte gleich. Bei Verwendung mit Kreisen oder Bögen werden deren Radien gleich gesetzt.
  • Sketcher ConstrainSymmetric.svg Symmetrie festlegen: Legt zwei Punkte symmetrisch zu einer Linie oder einem dritten Punkt fest.
  • Sketcher ConstrainBlock.svg Fixieren: Blockiert die Bewegung einer Kante, d.h. es wird verhindert, dass ihre Knotenpunkte ihre Lage ändern. Es eignet sich besonders, um die Position von B-Splines zu fixieren. Siehe das Block Constraint forum topic (engl.).

Maßliche Randbedingungen

Dies sind Randbedingungen, die mit numerischen Daten verknüpft sind, für die Ausdrücke verwendet werden können. Die Daten können aus einer Kalkulationstabelle entnommen werden.

  • Sketcher ConstrainLock.svg Sperren: Fixiert das ausgewählte Element (Knotenpunkt), indem der vertikale und der horizontale Abstand relativ zum Ursprung festgelegt werden, wodurch die Position dieses Elements gesperrt wird. Diese Abstandsbedingungen können später bearbeitet werden.
  • Sketcher ConstrainDistanceX.svg Horizontalen Abstand festlegen (XAbstandFestlegen): Legt den horizontalen Abstand zwischen zwei Punkten oder Linienendpunkten fest. Wenn nur ein Element ausgewählt ist, wird der Abstand zum Ursprung festgelegt.
  • Sketcher ConstrainDistanceY.svg Vertikalen Abstand festlegen (YAbstandFestlegen): Legt den vertikalen Abstand zwischen 2 Punkten oder Linienendpunkten fest. Wenn nur ein Element ausgewählt ist, wird der Abstand zum Ursprung festgelegt.
  • Sketcher ConstrainDistance.svg Abstand festlegen: Legt die Länge einer ausgewählten Linie über ihre Enpunkte fest, den senkrechten Abstand eines ausgewählten Punktes auf eine ausgewählte Linie oder legt den Abstand zwischen zwei ausgewählten Punkten.
  • Sketcher CompConstrainRadDia.png AuswahlRadDiaFestlegen: Dies ist ein Symbolmenü in der Sketcher-Constraints-Werkzeugleiste, das die folgenden Befehle enthält:
  • Sketcher ConstrainAngle.svg Winkel festlegen: Legt den Innenwinkel zwischen zwei ausgewählten Linien fest.

Besondere Randbedingungen

  • Sketcher ConstrainInternalAlignment.svg Interne Ausrichtung festlegen: Richtet ausgewählte Elemente an der ausgewählten Form aus (z. B. eine Linie, die zur Hauptachse einer Ellipse wird).

Werkzeuge für Randbedingungen

Die folgenden Werkzeuge können verwendet werden, um die Wirkung von Randbedingungen zu ändern:

Sketcher-Werkzeuge

  • Sketcher CloseShape.svg Kontur schließen: Erstellt eine geschlossene Form, durch Anwendung der Randbedingung KoinzidentFestlegen auf Endpunkte. Dieses Werkzeug ist veraltet. Es wird in zukünftigen Veröffentlichungen nicht mehr zur Verfügung stehen (Version 1.0 und darüber).
  • Sketcher ConnectLines.svg Linien verbinden: Verbindet Skizzenelemente, durch Anwendung der Randbedingung KoinzidentFestlegen auf Endpunkte. Dieses Werkzeug ist veraltet. Es wird in zukünftigen Veröffentlichungen nicht mehr zur Verfügung stehen (Version 1.0 und darüber).
  • Sketcher RestoreInternalAlignmentGeometry.svg Interne Geometrie anzeigen / ausblenden (InterneAusrichtungsgeometrieWiederherstellen): Stellt fehlende interne Geometrie einer ausgewählten Ellipse oder eines Ellipsen-, Hyperbel-, Parabel- oder B-Spline-Bogens wieder her oder löscht nicht benötigte interne Geometrie.


  • Sketcher Symmetry.svg Symmetrie: Kopiert ein Skizzenelement symmetrisch zu einer ausgewählten Linie.
  • Sketcher Clone.svg Klonen: Klont ein Skizzenelement.
  • Sketcher Move.svg Verschieben: Verschiebt die ausgewählte Geometrie mit Bezug auf den zuletzt ausgewählten Punkt.

Sketcher-B-Spline-Werkzeuge

Virtueller Sketcher-Bereich

Einstellungen

Bewährtes Vorgehen

Jeder CAD-Benutzer entwickelt im Laufe der Zeit seine eigene Arbeitsweise, aber es gibt einige nützliche allgemeine Grundsätze, denen man folgen kann.

  • Eine Reihe einfacher Skizzen ist einfacher handzuhaben als eine komplexe einzelne Skizze. Beispielsweise kann eine erste Skizze für die grundlegenden 3D-Funktionen (entweder ein Block oder ein Drehteil) erstellt werden, während eine zweite Skizze Löcher oder Ausschnitte (Taschen) enthalten kann. Einige Details können weggelassen werden, um später als 3D-Formelemente realisiert zu werden. Es können Verrundungen in einer Skizze vermieden werden, wenn zu viele vorhanden sind, und diese als 3D-Formelemente hinzugefügt werden.
  • Es sollte immer ein geschlossenes Profil erstellt werden, da die Skizze sonst keinen Volumenkörper, sondern eine Reihe offener Seitenflächen erzeugt. Sollen einige der Objekte nicht in die Erstellung eines Volumenkörper einbezogen werden, können sie mit dem Werkzeug Hilfsgeometrie umschalten in Konstruktionselemente umgewandelt werden.
  • Die Funktion Automatische Randbedingungen kann aktiviert werde, um die Anzahl der Randbedingungen zu begrenzen, die manuell hinzugefügt werden müssen.
  • Nach einer allgemeinen Regel sollten zuerst geometrische, danach maßliche Randbedingungen verwendet werden und Sperren als letztes. Aber nicht vergessen: Regeln sind dazu da, gebrochen zu werden. Wenn Probleme beim Bearbeiten einer Skizze auftreten, kann es hilfreich sein, zuerst einige Objekte festzulegen, bevor ein Profil vervollständigt wird.
  • Eine Skizze sollte möglichst mit der Randbedingung Sperren auf den Ursprung (0,0) ausgerichtet werden. Wenn die Skizze nicht symmetrisch ist, setzt man einen ihrer Punkte auf den Ursprung oder wählt einfache runde Zahlen für die festzulegenden abstände.
  • Hat man die Möglichkeit, zwischen den Randbedingungen Abstand festlegen und Horizontalen Abstand festlegen bzw. Vertikalen Abstand festlegen zu wählen, sollte eine der letzteren bevorzugt werden. Horizontalen Abstand festlegen und Vertikalen Abstand festlegen sind vom Berechnungsaufwand her günstiger.
  • Im Allgemeinen eignen sich die folgenden Randbedingungen am besten: Horizontal und Vertikal Festlegen, Horizontalen und Vertikalen Abstand festlegen, (Punkt-zu-Punkt) Tangential festlegen. Wenn möglich sollten die folgenden nur begrenz eingesetzt werden: Abstand festlegen, (Kante-zu-Kante) Tangential festlegen von, Punkt auf Objekt festlegen; Symmetrie festlegen.
  • Wenn Zweifel an der Gültigkeit einer Skizze bestehen, nachdem diese vervollständigt wurde (Elemente werden grün), schließt man das Sketcher-Dialogfeld, wechselt zum Arbeitbereich Workbench Part.svg Part und führt Part CheckGeometry.svg Geometrie überprüfen aus.

Tutorien

Skripten

Die Seite Sketcher Skripten enthält Beispiele für die Erstellung von Randbedingungen aus Python-Skripten.